package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.DwAtuPlanBatchDao;
import net.northking.cctp.dw.db.entity.DwAtuPlanBatch;
import net.northking.cctp.dw.db.service.DwAtuPlanBatchService;
import org.springframework.stereotype.Service;

@Service
public class DwAtuPlanBatchServiceImpl extends PaginationService<DwAtuPlanBatch> implements DwAtuPlanBatchService {
    private final DwAtuPlanBatchDao dwAtuPlanBatchDao;

    public DwAtuPlanBatchServiceImpl(DwAtuPlanBatchDao dwAtuPlanBatchDao) {this.dwAtuPlanBatchDao = dwAtuPlanBatchDao;}
    @Override
    protected void beforeInsert(DwAtuPlanBatch dwAtuPlanBatch) {

    }

    @Override
    protected void beforeUpdate(DwAtuPlanBatch dwAtuPlanBatch) {

    }

    @Override
    public DwAtuPlanBatch createEntity() {
        return new DwAtuPlanBatch();
    }

    @Override
    public BasicDao<DwAtuPlanBatch> getDao() {
        return dwAtuPlanBatchDao;
    }
}
